#include<fstream>
#include<iostream>
using namespace std;
long n,i,rez,j;
long d1[3000],d2[3000],l,c,k;
bool T[1005][1005];
long l1,c1;
long L( long l, long c)
{
	return l+c-1;
}
long C( long l, long c)
{
	return c+(n-l);
}
int main()
{
	ifstream in("broscute.in");
	ofstream out("broscute.out");
	in>>n>>k;
	for( i=1; i<=k; ++i)
	{
		in>>l>>c;
		T[l][c]=1;
		d1[L(l,c)]++;
		d2[C(l,c)]++;
	}
	for(i=1; i<=n; ++i)
		for(j=1; j<=n; ++j)
			if(T[i][j])
			{
				l1=L(i,j);
				c1=C(i,j);
				if(d1[l1]>=2 || d2[c1]>=2)
				{
					rez++;
				}
			}
			else{
				l1=L(i,j);
				c1=C(i,j);
				if(d1[l1]>=1 && d2[c1]>=1)
				{
					rez++;
				}
			}
	out<<rez;
	in.close();
	out.close();	
	return 0;
}
